import { MeshGeometry } from '../../../procoregl/MeshGeometry';
import { Meshnode } from '../standard/Meshnode';
import { MeshnodeObject } from '../objects/MeshnodeObject';
import { PartitionProxy } from './PartitionProxy';
import { StreamedMeshGeometry } from '../../../procoregl/StreamedMeshGeometry';
export declare class StreamedMeshnode extends Meshnode {
    private _partitionProxy?;
    private _meshGeometries;
    setPartitionProxy(partitionProxy: PartitionProxy): void;
    partitionProxy(): PartitionProxy;
    meshGeometries(): MeshGeometry[];
    setMeshGeometry(meshIndex: number, meshGeometry: StreamedMeshGeometry): void;
    getMeshGeometry(meshIndex: number): StreamedMeshGeometry | undefined;
    asObject(): MeshnodeObject;
    private getMeshObject;
}
